import psycopg2
import datetime
host = input("Insert host:")
dbname = input("Insert database name:")
user = input("Insert user:")
password = input("Insert password:")
remConn = psycopg2.connect("dbname=" + dbname + " user=" + user + " password=" + password + " host=" + host)
remCur = remConn.cursor()
locConn = psycopg2.connect("dbname=crelip user=crelip")
locCur = locConn.cursor()
#Create a temporary table with relevant info
remCur.execute("CREATE TEMPORARY TABLE ping_avg_unregulated AS(SELECT DATE(ping_date) AS date, AVG(ping_rttmin) AS ping_rttmin, AVG(ping_rttavg) AS ping_rttavg, AVG(ping_rttmax) AS ping_rttmax FROM ping WHERE ping_ploss >= 0 AND ping_ploss < 100 AND ping_date > TO_TIMESTAMP(1230764400) GROUP BY date ORDER BY date);")
remCur.execute("SELECT * FROM ping_avg_unregulated;")
for record in remCur:
	locCur.execute("INSERT INTO ping_avg_unregulated VALUES(%s, %s, %s, %s);", record)
locConn.commit()
#record[0] = date; record[1] = ping_rttmin; record[2] = ping_rttavg; record[3] = ping_rttmax
remCur.close()
remConn.close()
locCur.close()
locConn.close()
