CREATE PROCEDURE find_gaps_ping()
LANGUAGE plpgsql
AS $$
DECLARE a TIMESTAMP;
	b TIMESTAMP;
	curs CURSOR FOR SELECT ping_date FROM ping WHERE ping_ploss >= 0 AND ping_ploss < 100 ORDER BY ping_date ASC; 
BEGIN
	DROP TABLE IF EXISTS gaps_ping;
        CREATE TEMP TABLE gaps_ping (gap_begin TIMESTAMP, gap_end TIMESTAMP);   
    OPEN curs;
    FETCH curs INTO a;
    <<read_loop>>
    LOOP
        b := a;
        FETCH curs INTO a;  
        IF NOT FOUND THEN EXIT read_loop;
        END IF;
        IF (SELECT date_part('epoch', a)) - (SELECT date_part('epoch', b)) > 86400 THEN
            INSERT INTO gaps_ping (gap_begin, gap_end)
            VALUES (b,a);
        END IF;
    END LOOP;           
    CLOSE curs;      
END;$$;
